Package org.apache.cxf.common.util

# Class Base64OutputStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
org.apache.cxf.common.util.Base64OutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

Direct Known Subclasses:
  `Base64UrlOutputStream`

public class Base64OutputStream extends FilterOutputStream

- ## Field Summary

  ### Fields inherited from class java.io.FilterOutputStream

  `out`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Base64OutputStream(OutputStream out, boolean urlSafe)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `flush()`
  `void`
  `write(byte[] b, int off, int len)`
  `void`
  `write(int value)`

  ### Methods inherited from class java.io.FilterOutputStream

  `close, write`

  ### Methods inherited from class java.io.OutputStream

  `nullOutputStream`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Base64OutputStream

    public Base64OutputStream(OutputStream out, boolean urlSafe)

- ## Method Details

  - ### write

    public void write(int value) throws IOException
    Overrides:
      `write` in class `FilterOutputStream`
    Throws:
      `IOException`

  - ### write

    public void write(byte[] b, int off, int len) throws IOException
    Overrides:
      `write` in class `FilterOutputStream`
    Throws:
      `IOException`

  - ### flush

    public void flush() throws IOException
    Specified by:
      `flush` in interface `Flushable`
    Overrides:
      `flush` in class `FilterOutputStream`
    Throws:
      `IOException`